/***************************** LICENSE START ***********************************

 Copyright 2014 ECMWF and INPE. This software is distributed under the terms
 of the Apache License version 2.0. In applying this license, ECMWF does not
 waive the privileges and immunities granted to it by virtue of its status as
 an Intergovernmental Organization or submit itself to any jurisdiction.

 ***************************** LICENSE END *************************************/

#ifndef MvQActionList_H
#define MvQActionList_H

#include <QList>

class QAction;

class MvQActionList
{
public:
    MvQActionList() {}
    void add(QAction* ac) { lst_ << ac; }
    bool trigger(QString);
    QAction* action(QString);
    bool shortCutDefined(QString);

protected:
    QList<QAction*> lst_;
};

#endif
